Subject: Re: [Fwd: Re: AW: [Sigtran] M2PA draft 07 comment: LPO]

From: [email-masked]
Date: Wed, 19 Mar 2003 11:51:11 -0500

Hello Andrew,

>I sent this message out a while ago, but I didn't see it on the
>Sigtran list.  I was just wondering if you ever received it?

No, this is the first time I've seen your response.  As far as I can tell,
there is no
'LS PR' message in M2PA v7, but I see now that you were refering to Link
Status
Processor Outage Ended (LSPOE). I also see the problem with the proposed
text.

Below is an attempt at clarification.

Regards,

Jeff

----------
OLD TEXT 4.1.3

When the proving period timer T4 expires, M2PA changes to the Aligned
Ready state. M2PA SHALL start the timer T1 and send a Link Status
Ready message to its peer. These Link Status Ready message is used to
verify that both ends have completed proving. M2PA MAY send additional
Link Status Ready messages while timer T1 is running.

NEW TEXT 4.1.3 (Revised)

If M2PA receives Link Status Ready, Link Status Processor Outage, or
Link Status Processor Outage Ended during PROVING, then it records
the event for processing upon expiry of timer T4.

When timer T4 expires, M2PA performs the following:

- If neither Link Status Ready nor Link Status Processor Outage
  have been received, then M2PA starts T1, otherwise T1 is not
  started.

- If local processor outage is in effect, then M2PA sends a
  Link Status Processor Outage message to the peer, otherwise it
  sends a Link Status Ready message.

- If T1 is running and local processor outage is not in effect,
  then M2PA moves to the ALIGNED_READY state.

- If T1 is running and local processor outage is in effect, then
  M2PA moves to the ALIGNED_NOT_READY state.

- If T1 is not running and neither local nor remote processor
  outage is in effect, then M2PA sends a In Service Indication to
  MTP3 moves to the IN_SERVICE state.

- If T1 is not running and remote processor outage is in effect,
  then M2PA sends a Remote Processor Outage Indication to MTP3
  and moves to the PROCESSOR_OUTAGE state.

- If T1 is not running, local processor outage is in effect, and
  remote processor outage is not in effect, then M2PA sends an In
  Service Indication to MTP3 moves to the PROCESSOR_OUTAGE state.

                      Andrew Booth                                                                                                
                      <[email-masked]>          To:      [email-masked]                                                 
                                               cc:                                                                                
                      03/19/03 10:14           Subject: [Fwd: Re: AW: [Sigtran] M2PA draft 07 comment: LPO]                       
                      AM                                                                                                          

Hi Jeff,

I sent this message out a while ago, but I didn't see it on the Sigtran
list.  I was just wondering if you ever received it?

Thanks for any info,
Andrew

--
Andrew Booth, Software Developer
Signaling Systems Group, Performance Technologies
613-237-4344

Visit www.pt.com/mailing.html to subscribe to our Packets & Signals
eLetter.

Content-Transfer-Encoding: 7bit
Message-ID: <[email-masked]>
Date: Thu, 13 Mar 2003 09:32:29 -0500
From: Andrew Booth <[email-masked]>
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826
X-Accept-Language: en-us, en
MIME-Version: 1.0
To:  [email-masked]
CC:  [email-masked], Tom George <[email-masked]>
Subject: Re: AW: [Sigtran] M2PA draft 07 comment: LPO
References: <[email-masked]>
Content-Type: text/plain; charset=us-ascii; format=flowed

Hi Jeff,

Thanks for the info. One comment below.

[email-masked] wrote:

>Hello Andrew,
>
>My responses are embedded below.
>
>Regards,
>
>Jeff
>
>[snip]
>
>>>
>>>
>>>*************************
>>>
>>>----------
>>>OLD TEXT 4.1.3
>>>
>>>When the proving period timer T4 expires, M2PA changes to the Aligned
>>>Ready state. M2PA SHALL start the timer T1 and send a Link Status
>>>Ready message to its peer. These Link Status Ready message is used to
>>>verify that both ends have completed proving. M2PA MAY send additional
>>>Link Status Ready messages while timer T1 is running.
>>>
>>>NEW TEXT 4.1.3
>>>
>>>If M2PA receives either Link Status Ready or Link Status
>>>Processor Outage during PROVING, then it records the event
>>>for processing upon expiry of timer T4.
>>>
>>>When timer T4 expires and a Link Status Ready message has
>>>been received, then M2PA, depending on local processor
>>>outage state, either sends a Link Status Processor Outage
>>>message and moves to the PROCESSOR_OUTAGE state or sends
>>>a Link Status Ready message and moves to the IN_SERVICE
>>>state.
>>>
>>>When timer T4 expires and a Link Status Processor Outage
>>>message has been received, then M2PA notifies MTP3 of the
>>>remote processor outage condition, and, depending on local
>>>processor outage status, M2PA either sends a Link Status
>>>Processor Outage message or sends a Link Status Ready
>>>message, and then moves to the PROCESSOR_OUTAGE state.
>>>
>>>
>>>
>
>
>
>>Pathological case: If you receive both LS PO and LS PR within T4 then
>>the text could be innacurate.
>>
>>
>
>(Jeff)
>Received LSPO overrides received LSR. LSR received after LSPO and
>prior to LSPOE is a protocol error. A peer experiencing LPO should never
>send LSR prior to sending LSPOE or LSO.
>
I was referring to LS PR [formerly LS POE], not LS R.

Andrew

[snip]

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran